# Get Available Banks

<mark style="color:green;">`POST`</mark> `https://api.oneappgo.com/v1/partnerbank`

#### Headers

| Name                                            | Type   | Description |
| ----------------------------------------------- | ------ | ----------- |
| authorization<mark style="color:red;">\*</mark> | String | PUBLIC\_KEY |

{% tabs %}
{% tab title="200: OK " %}

```json
{
  "status": true,
  "message": "Bank list retrieved",
  "data": [
    {
      "bankname": "Kuda Bank",
      "bankcode": "090267"
    },
    {
      "bankname": "Providus Bank",
      "bankcode": "101"
    }
  ]
}
```

{% endtab %}
{% endtabs %}

Take a look at how you might do this:

{% tabs %}
{% tab title="cURL" %}

```
curl --location --request POST 'https://api.oneappgo.com/v1/partnerbank' \
--header 'Authorization: Bearer PUBLIC_KEY' \
--header 'Content-Type: application/json' \
--data ''
```

{% endtab %}

{% tab title="NodeJs" %}
{% code overflow="wrap" %}

```json
var request = require('request');
var options = {
  'method': 'POST',
  'url': 'https://api.oneappgo.com/v1/partnerbank',
  'headers': {
    'Authorization': 'Bearer PUBLIC_KEY',
    'Content-Type': 'application/json'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});

```

{% endcode %}
{% endtab %}

{% tab title="PHP - cURL" %}

```php
$curl = curl_init();

curl_setopt_array($curl, array(
  CURLOPT_URL => 'https://api.oneappgo.com/v1/partnerbank',
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => '',
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 0,
  CURLOPT_FOLLOWLOCATION => true,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => 'POST',
  CURLOPT_HTTPHEADER => array(
    'Authorization: Bearer PUBLIC_KEY',
    'Content-Type: application/json'
  ),
));

$response = curl_exec($curl);

curl_close($curl);
echo $response;

```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import json

url = "https://api.oneappgo.com/v1/partnerbank"

payload = ""
headers = {
  'Authorization': 'Bearer PUBLIC_KEY',
  'Content-Type': 'application/json'
}

response = requests.request("POST", url, headers=headers, data=payload)

print(response.text)

```

{% endtab %}
{% endtabs %}

## Sample response

```json
{
  "status": true,
  "message": "Bank list retrieved",
  "data": [
    {
      "bankname": "Kuda Bank",
      "bankcode": "090267"
    },
    {
      "bankname": "Providus Bank",
      "bankcode": "101"
    }
  ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/virtual-accounts/get-available-banks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
